using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;

public partial class HttpRuntimeTester : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        StringBuilder sb = new StringBuilder();
        String nl = "<br>";

        sb.Append("AppDomainAppId = " +
          HttpRuntime.AppDomainAppId + nl);
        sb.Append("AppDomainAppPath = " +
          HttpRuntime.AppDomainAppPath + nl);
        sb.Append("AppDomainAppVirtualPath = " +
          HttpRuntime.AppDomainAppVirtualPath + nl);
        sb.Append("AppDomainId = " +
          HttpRuntime.AppDomainId + nl);
        sb.Append("AspInstallDirectory = " +
          HttpRuntime.AspInstallDirectory + nl);
        sb.Append("BinDirectory = " +
          HttpRuntime.BinDirectory + nl);
        sb.Append("ClrInstallDirectory = " +
          HttpRuntime.ClrInstallDirectory + nl);
        sb.Append("CodegenDir = " +
          HttpRuntime.CodegenDir + nl);
        sb.Append("IsOnUNCShare = " +
          HttpRuntime.IsOnUNCShare.ToString() + nl);
        sb.Append("MachineConfigurationDirectory = " +
          HttpRuntime.MachineConfigurationDirectory + nl);

        label1.Text = sb.ToString();

    }
}
